import request from '@/utils/request'

// 查询商品点赞和收藏列表
export function listStoreProductRelation(query) {
  return request({
    url: '/store/storeProductRelation/list',
    method: 'get',
    params: query
  })
}

// 查询商品点赞和收藏详细
export function getStoreProductRelation(id) {
  return request({
    url: '/store/storeProductRelation/' + id,
    method: 'get'
  })
}

// 新增商品点赞和收藏
export function addStoreProductRelation(data) {
  return request({
    url: '/store/storeProductRelation',
    method: 'post',
    data: data
  })
}

// 修改商品点赞和收藏
export function updateStoreProductRelation(data) {
  return request({
    url: '/store/storeProductRelation',
    method: 'put',
    data: data
  })
}

// 删除商品点赞和收藏
export function delStoreProductRelation(id) {
  return request({
    url: '/store/storeProductRelation/' + id,
    method: 'delete'
  })
}

// 导出商品点赞和收藏
export function exportStoreProductRelation(query) {
  return request({
    url: '/store/storeProductRelation/export',
    method: 'get',
    params: query
  })
}
